Changeset 36358


Ignore:
Timestamp:
2013-04-18T14:04:55+02:00 (5 years ago)
Author:
nbd
Message:

toolchain: get rid of eglibc version kconfig symbol overloading

Location:
trunk/toolchain/eglibc
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/toolchain/eglibc/Config.in

    r36351 r36358  
    22        prompt "eglibc version" 
    33        depends on TOOLCHAINOPTS && USE_EGLIBC 
    4         default EGLIBC_VERSION_2_15 
     4        default EGLIBC_USE_VERSION_2_15 
    55        help 
    66          Select the version of eglibc you wish to use. 
    77 
    8         config EGLIBC_VERSION_2_15 
     8        config EGLIBC_USE_VERSION_2_15 
    99                bool "eglibc 2.15" 
    10                 depends on !GCC_VERSION_LLVM 
     10                select EGLIBC_VERSION_2_15 
    1111 
    12         config EGLIBC_VERSION_2_16 
     12        config EGLIBC_USE_VERSION_2_16 
    1313                bool "eglibc 2.16" 
    14                 depends on !GCC_VERSION_LLVM 
     14                select EGLIBC_VERSION_2_16 
    1515 
    16         config EGLIBC_VERSION_2_17 
     16        config EGLIBC_USE_VERSION_2_17 
    1717                bool "eglibc 2.17" 
    18                 depends on !GCC_VERSION_LLVM 
     18                select EGLIBC_VERSION_2_17 
    1919 
    2020endchoice 
  • trunk/toolchain/eglibc/Config.version

    r35515 r36358  
     1if USE_EGLIBC 
     2 
    13config EGLIBC_VERSION 
    24        string 
    3         depends on USE_EGLIBC 
    45        default "2.15" if EGLIBC_VERSION_2_15 
    56        default "2.16" if EGLIBC_VERSION_2_16 
    67        default "2.17" if EGLIBC_VERSION_2_17 
    7         default "2.15" 
     8 
     9config EGLIBC_VERSION_2_15 
     10        default y if !TOOLCHAINOPTS 
     11        bool 
     12 
     13config EGLIBC_VERSION_2_16 
     14        bool 
     15 
     16config EGLIBC_VERSION_2_17 
     17        bool 
     18 
     19endif 
Note: See TracChangeset for help on using the changeset viewer.